TechDraw Dimension Diameter/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Dimension Diameter and the translation is 0% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: TechDraw Dimension Radius.svg New Radius
Next: New Angle TechDraw Dimension Angle.svg Arrow-right.svg

TechDraw Dimension Diameter.svg TechDraw Dimension Diameter

Расположение в меню
TechDraw → Dimension Diameter
Верстаки
TechDraw
Быстрые клавиши
Представлено в версии
-
См. также


Description

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw Dimension Link.svg Link Dimension tool.

TechDraw Dimension Diameter example.png

Measuring a circle, indicating the diameter


Usage

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the TechDraw Dimension Diameter.svg Dimension Diameter button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Diameter tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Previous: TechDraw Dimension Radius.svg New Radius
Next: New Angle TechDraw Dimension Angle.svg Arrow-right.svg